.button {
  background: #1e8623;
  border: none;
  border-radius: 0;
  color: white;
  cursor: pointer;
  font-size: 20px;
  padding: 15px 20px;
  width: 100%;
}

.button:hover {
  background: rgb(123, 228, 163);
  color: #000;
}

.form-contenedor {
  align-items: center;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  justify-content: center;
}

.formulario {
  background: #fff;
  border-radius: 2%;
  padding: 18px 40px;
}

#sesionForm {
  width: 410px;
}

.formulario > div {
  /* Inputs */
  margin-bottom: 15px;
}

.input-contenedor {
  position: relative;
}

.input-contenedor input[type="text"],
.input-contenedor input[type="password"] {
  border: 1px solid #aaa;
  font-size: 20px;
  padding: 10px;
  padding-left: 45px; /* Espacio para el ícono */
  width: 100%;
}

.input-contenedor .input-icon {
  position: absolute;
  left: 15px; /* Posición izquierda del ícono */
  top: 33%; /* Posición superior del ícono */
}

.input-contenedor .input-icon::before {
  font-size: 16px; /* Tamaño del ícono */
  color: #888;
}

.input-no-valido,
.input-valido {
  margin-top: 10px;
  font-size: 0.9rem;
  font-style: italic;
  display: none;
}

/* Estilos del mensaje de validación para cuando el input es inválido */
.input-no-valido {
  color: #ff0000;
}

/* Estilos del mensaje de validación  para cuando el input es válido */
.input-valido {
  color: #008cff;
}

/* Para mostrar un elemento oculto de la página */
.d-block {
  display: block;
}

/* Para ocultar un elemento de la página */
.d-none {
  display: none;
}

.ir-a {
  padding: 25px 0 15px 0;
  text-align: center;
}

.link {
  color: #1a2537;
  font-weight: 600;
  text-decoration: none;
}

.link:hover {
  color: cadetblue;
}

#registroform {
  margin: 55px 0;
}

.select-contenedor {
  display: flex;
  flex-direction: column;
}

.text-align-center {
  text-align: center;
}

.titulo-formulario {
  color: #1a2537;
  font-size: 40px;
  padding: 15px 0 35px 0;
  text-align: center;
}

#rol,
#facultad,
#estado {
  margin-top: 10px;
  width: 100%;
  padding: 10px 15px;
  font-size: 15px;
}

.focus {
  border: 2px solid #008cff;
  padding: 0;
}

/* @media (min-width: 768px) {
  .formulario {
    margin: auto;
  }
} */
